Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166466 - IllegalArgumentException: uk.org.retep.util.reference.DelayedWeakLinkedList.Entry
IllegalArgumentException: uk.org.retep.util.reference.DelayedWeakLinkedList.E...
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 10:44 UTC by petermount
Modified: 2009-07-16 16:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.54 KB, text/plain)
2009-06-03 10:45 UTC, petermount
Details

Note You need to log in before you can comment on or make changes to this bug.
Description petermount 2009-06-03 10:44:56 UTC
Build: NetBeans IDE Dev (Build 200906011401)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_07-b06-57, Java(TM) SE Runtime Environment, 1.6.0_07-b06-153
OS: Mac OS X, 10.5.7, x86_64

User Comments:
petermount: Referencing a method from an inner class



Stacktrace: 
java.lang.IllegalArgumentException: uk.org.retep.util.reference.DelayedWeakLinkedList.Entry
        at com.sun.tools.javac.model.JavacTypes.getDeclaredType(JavacTypes.java:221)
        at org.netbeans.modules.java.hints.errors.Utilities.resolveCapturedTypeInt(Utilities.java:415)
        at org.netbeans.modules.java.hints.errors.Utilities.resolveCapturedType(Utilities.java:385)
        at org.netbeans.modules.java.hints.errors.AddCast.computeType(AddCast.java:177)
        at org.netbeans.modules.java.hints.errors.AddCast.run(AddCast.java:191)
        at org.netbeans.modules.java.hints.infrastructure.CreatorBasedLazyFixList.compute(CreatorBasedLazyFixList.java:144)
Comment 1 petermount 2009-06-03 10:45:05 UTC
Created attachment 83129 [details]
stacktrace
Comment 2 Dusan Balek 2009-06-22 13:11:53 UTC
Do not use Types.getDeclaredType(TypeElement typeElem, TypeMirror... typeArgs) if the typeElem's enclosing type is
parameterized. Use Types.getDeclaredType(DeclaredType containing, TypeElement typeElem, TypeMirror... typeArgs) instead.
Reassigning.
Comment 3 Max Sauer 2009-06-25 10:10:52 UTC
I have a fix prepared. Will become part of my next push.
Comment 4 Max Sauer 2009-06-25 13:50:33 UTC
Fixed.
---
http://hg.netbeans.org/jet-main/rev/75b7e26f9727
Comment 5 Quality Engineering 2009-06-26 20:47:05 UTC
Integrated into 'main-golden', will be available in build *200906261401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/75b7e26f9727
User: Max Sauer <msauer@netbeans.org>
Log: #166466: IAE at Utilities.resolveCapturedTypeInt
Comment 6 Petr Blaha 2009-07-02 13:33:28 UTC
v.
Comment 7 pgebauer 2009-07-09 09:59:36 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/704b7b54f888
Comment 8 Jiri Prox 2009-07-16 16:03:07 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo